Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class TLSClientParametersType

    java.lang.Object
      org.apache.cxf.configuration.security.TLSClientParametersType

    public class TLSClientParametersType

extends java.lang.Object

Java class for TLSClientParametersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TLSClientParametersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="keyManagers" type="{http://cxf.apache.org/configuration/security}KeyManagersType" minOccurs="0"/>
             <element name="trustManagers" type="{http://cxf.apache.org/configuration/security}TrustManagersType" minOccurs="0"/>
             <element name="cipherSuites" type="{http://cxf.apache.org/configuration/security}CipherSuites" minOccurs="0"/>
             <element name="cipherSuitesFilter" type="{http://cxf.apache.org/configuration/security}FiltersType" minOccurs="0"/>
             <element name="secureRandomParameters" type="{http://cxf.apache.org/configuration/security}SecureRandomParameters" minOccurs="0"/>
           </all>
           <attribute name="disableCNCheck" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
           <attribute name="jsseProvider" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="secureSocketProtocol" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected CipherSuites` | `cipherSuites`
`protected FiltersType` | `cipherSuitesFilter`
`protected java.lang.Boolean` | `disableCNCheck`
`protected java.lang.String` | `jsseProvider`
`protected KeyManagersType` | `keyManagers`
`protected SecureRandomParameters` | `secureRandomParameters`
`protected java.lang.String` | `secureSocketProtocol`
`protected TrustManagersType` | `trustManagers`

Constructor Summary
`TLSClientParametersType()`

Method Summary
`CipherSuites` | `getCipherSuites()` Gets the value of the cipherSuites property.
`FiltersType` | `getCipherSuitesFilter()` Gets the value of the cipherSuitesFilter property.
`java.lang.String` | `getJsseProvider()` Gets the value of the jsseProvider property.
`KeyManagersType` | `getKeyManagers()` Gets the value of the keyManagers property.
`SecureRandomParameters` | `getSecureRandomParameters()` Gets the value of the secureRandomParameters property.
`java.lang.String` | `getSecureSocketProtocol()` Gets the value of the secureSocketProtocol property.
`TrustManagersType` | `getTrustManagers()` Gets the value of the trustManagers property.
`boolean` | `isDisableCNCheck()` Gets the value of the disableCNCheck property.
`boolean` | `isSetCipherSuites()`
`boolean` | `isSetCipherSuitesFilter()`
`boolean` | `isSetDisableCNCheck()`
`boolean` | `isSetJsseProvider()`
`boolean` | `isSetKeyManagers()`
`boolean` | `isSetSecureRandomParameters()`
`boolean` | `isSetSecureSocketProtocol()`
`boolean` | `isSetTrustManagers()`
`void` | `setCipherSuites(CipherSuites value)` Sets the value of the cipherSuites property.
`void` | `setCipherSuitesFilter(FiltersType value)` Sets the value of the cipherSuitesFilter property.
`void` | `setDisableCNCheck(boolean value)` Sets the value of the disableCNCheck property.
`void` | `setJsseProvider(java.lang.String value)` Sets the value of the jsseProvider property.
`void` | `setKeyManagers(KeyManagersType value)` Sets the value of the keyManagers property.
`void` | `setSecureRandomParameters(SecureRandomParameters value)` Sets the value of the secureRandomParameters property.
`void` | `setSecureSocketProtocol(java.lang.String value)` Sets the value of the secureSocketProtocol property.
`void` | `setTrustManagers(TrustManagersType value)` Sets the value of the trustManagers property.
`void` | `unsetDisableCNCheck()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyManagers

    protected KeyManagersType keyManagers

### trustManagers

    protected TrustManagersType trustManagers

### cipherSuites

    protected CipherSuites cipherSuites

### cipherSuitesFilter

    protected FiltersType cipherSuitesFilter

### secureRandomParameters

    protected SecureRandomParameters secureRandomParameters

### disableCNCheck

    protected java.lang.Boolean disableCNCheck

### jsseProvider

    protected java.lang.String jsseProvider

### secureSocketProtocol

    protected java.lang.String secureSocketProtocol

Constructor Detail

### TLSClientParametersType

    public TLSClientParametersType()

Method Detail

### getKeyManagers

    public KeyManagersType getKeyManagers()

  Gets the value of the keyManagers property.

  Returns:
    possible object is `KeyManagersType`

### setKeyManagers

    public void setKeyManagers(KeyManagersType value)

  Sets the value of the keyManagers property.

  Parameters:
    `value` - allowed object is `KeyManagersType`

### isSetKeyManagers

    public boolean isSetKeyManagers()

### getTrustManagers

    public TrustManagersType getTrustManagers()

  Gets the value of the trustManagers property.

  Returns:
    possible object is `TrustManagersType`

### setTrustManagers

    public void setTrustManagers(TrustManagersType value)

  Sets the value of the trustManagers property.

  Parameters:
    `value` - allowed object is `TrustManagersType`

### isSetTrustManagers

    public boolean isSetTrustManagers()

### getCipherSuites

    public CipherSuites getCipherSuites()

  Gets the value of the cipherSuites property.

  Returns:
    possible object is `CipherSuites`

### setCipherSuites

    public void setCipherSuites(CipherSuites value)

  Sets the value of the cipherSuites property.

  Parameters:
    `value` - allowed object is `CipherSuites`

### isSetCipherSuites

    public boolean isSetCipherSuites()

### getCipherSuitesFilter

    public FiltersType getCipherSuitesFilter()

  Gets the value of the cipherSuitesFilter property.

  Returns:
    possible object is `FiltersType`

### setCipherSuitesFilter

    public void setCipherSuitesFilter(FiltersType value)

  Sets the value of the cipherSuitesFilter property.

  Parameters:
    `value` - allowed object is `FiltersType`

### isSetCipherSuitesFilter

    public boolean isSetCipherSuitesFilter()

### getSecureRandomParameters

    public SecureRandomParameters getSecureRandomParameters()

  Gets the value of the secureRandomParameters property.

  Returns:
    possible object is `SecureRandomParameters`

### setSecureRandomParameters

    public void setSecureRandomParameters(SecureRandomParameters value)

  Sets the value of the secureRandomParameters property.

  Parameters:
    `value` - allowed object is `SecureRandomParameters`

### isSetSecureRandomParameters

    public boolean isSetSecureRandomParameters()

### isDisableCNCheck

    public boolean isDisableCNCheck()

  Gets the value of the disableCNCheck property.

  Returns:
    possible object is `Boolean`

### setDisableCNCheck

    public void setDisableCNCheck(boolean value)

  Sets the value of the disableCNCheck property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDisableCNCheck

    public boolean isSetDisableCNCheck()

### unsetDisableCNCheck

    public void unsetDisableCNCheck()

### getJsseProvider

    public java.lang.String getJsseProvider()

  Gets the value of the jsseProvider property.

  Returns:
    possible object is `String`

### setJsseProvider

    public void setJsseProvider(java.lang.String value)

  Sets the value of the jsseProvider property.

  Parameters:
    `value` - allowed object is `String`

### isSetJsseProvider

    public boolean isSetJsseProvider()

### getSecureSocketProtocol

    public java.lang.String getSecureSocketProtocol()

  Gets the value of the secureSocketProtocol property.

  Returns:
    possible object is `String`

### setSecureSocketProtocol

    public void setSecureSocketProtocol(java.lang.String value)

  Sets the value of the secureSocketProtocol property.

  Parameters:
    `value` - allowed object is `String`

### isSetSecureSocketProtocol

    public boolean isSetSecureSocketProtocol()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF